/*******************************************************************************
*  MCom-02 FreeRTOS port                                                       *
*  Copyright (c) 2017 by RnD Center "ELVEES", JSC                              *
*                                                                              *
*  This file is part of the FreeRTOS distribution.                             *
*                                                                              *
*  FreeRTOS is free software; you can redistribute it and/or modify it under   *
*  the terms of the GNU General Public License (version 2) as published by the *
*  Free Software Foundation >>>> AND MODIFIED BY <<<< the FreeRTOS exception.  *
*******************************************************************************/


#ifndef SPI_FLASH_H
#define SPI_FLASH_H

#include "../bootrom_api.h"

void ConfigSPI0();
void DisableSPI0();
unsigned char ReadStatusRegisterSPI0Flash();
void SendOpcodeSPI0(unsigned char opcode);
#if SPIFLASHWREN
void BlockEraseSPI0Flash(boot_config_t* cfg);
void WriteSPI0Flash(unsigned int address, unsigned char* bytes, unsigned int size, boot_config_t* cfg);
#endif
int ReadSPI0Flash(unsigned int address, unsigned char* bytes, unsigned int size, boot_config_t * cfg);

#endif